Bug 65286 - V8 should correctly serialize Boolean, Number and String objects
: V8 should correctly serialize Boolean, Number and String objects
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks: 65292 100404
  Show dependency treegraph
 
Reported: 2011-07-27 14:43 PDT by Luke Zarko
Modified: 2012-10-25 12:11 PDT (History)
2 users (show)

See Also:


Attachments
Changes to SerializedScriptValue + window-postmessage-clone. (20.89 KB, patch)
2011-07-27 14:50 PDT, Luke Zarko
levin: review-
Details | Formatted Diff | Diff
Address comments. (20.89 KB, patch)
2011-07-27 15:38 PDT, Luke Zarko
levin: review+
webkit.review.bot: commit‑queue-
Details | Formatted Diff | Diff
Fix a broken expectation (22.59 KB, patch)
2011-07-28 11:25 PDT, Luke Zarko
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Zarko 2011-07-27 14:43:10 PDT
New APIs were exposed to allow V8 to correctly serialize Boolean, Number and String objects, as well as detect certain native errors as required by the HTML5 Structured Clone algorithm (http://www.whatwg.org/specs/web-apps/current-work/multipage/urls.html#safe-passing-of-structured-data). SerializedScriptValue should make use of these APIs.
Comment 1 Luke Zarko 2011-07-27 14:50:26 PDT
Created attachment 102188 [details]
Changes to SerializedScriptValue + window-postmessage-clone.
Comment 2 David Levin 2011-07-27 15:29:53 PDT
Comment on attachment 102188 [details]
Changes to SerializedScriptValue + window-postmessage-clone.

View in context: https://bugs.webkit.org/attachment.cgi?id=102188&action=review

Just a few minor things to clean up.

Thanks!

> LayoutTests/ChangeLog:14
> +        ():

Either fix this by adding a function name or remove it.

> LayoutTests/fast/dom/Window/script-tests/postmessage-clone.js:224
> +        'return [t1,t1,t2,f1,f1,f2]'

put spaces after commas

> LayoutTests/fast/dom/Window/window-postmessage-clone-expected.txt:6
> +FAIL: 'postMessage(var x = 0; try { eval("badref"); } catch(e) { x = e; } x)' should throw but didn't

We should file a bug for these failures for SquirellFish.
Comment 3 Luke Zarko 2011-07-27 15:38:09 PDT
Created attachment 102198 [details]
Address comments.
Comment 4 Luke Zarko 2011-07-27 15:49:43 PDT
(In reply to comment #3)
> Created an attachment (id=102198) [details]
> Address comments.

Filed a bug for the JSC bindings at https://bugs.webkit.org/show_bug.cgi?id=65292 .
Comment 5 WebKit Review Bot 2011-07-27 21:10:14 PDT
Comment on attachment 102198 [details]
Address comments.

Attachment 102198 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9265064

New failing tests:
fast/loader/stateobjects/pushstate-object-types.html
Comment 6 Luke Zarko 2011-07-28 11:25:08 PDT
Created attachment 102271 [details]
Fix a broken expectation

The test failure above came from an expectation that Error objects could be serialized. In the new revision of the standard this is no longer the case.
Comment 7 WebKit Review Bot 2011-07-28 16:56:41 PDT
Comment on attachment 102271 [details]
Fix a broken expectation

Clearing flags on attachment: 102271

Committed r91959: <http://trac.webkit.org/changeset/91959>
Comment 8 WebKit Review Bot 2011-07-28 16:56:45 PDT
All reviewed patches have been landed.  Closing bug.